
/**
 * /!\ This file is automatically generated by QLALR from LGCOutputLogLexer.g.
 * /!\ Don't edit it!
 */

#ifndef LGCOUTPUTLOGLEXER_HPP
#define LGCOUTPUTLOGLEXER_HPP

#include <ShareablePoints/ShareablePointsList.hpp>
#include <editors/text/LexerParser.hpp>

#include "table_lgcoutputloglexer_p.h"

class LGCOutputLogLexer : public LexerParser<Table_LGCOutputLogLexer>
{
	Q_OBJECT

public:
	LGCOutputLogLexer(QObject *parent = nullptr);
	virtual ~LGCOutputLogLexer() override = default;

	// QsciLexerCustom
	enum Styles
	{
		/** Default */
		Default,
		/** The date and time */
		Error,
	};
	// implemented in LGCOutputLogLexer_impl.cpp
	virtual const char *language() const override { return "LGCLog"; }
	virtual const char *keywords(int set) const override;
	virtual QString description(int style) const override;
	virtual const char *wordCharacters() const override;
	virtual bool defaultEolFill(int style) const override;
	QColor defaultColor(int style) const override;
	QFont defaultFont(int style) const override;
	QColor defaultPaper(int style) const override;

	// IShareablePointsListIO
	// implemented in LGCOutputLogLexer_impl.cpp
	virtual const std::string &getMIMEType() const override { static std::string _tmp = ""; return _tmp; }
	virtual ShareablePointsList read(const std::string &contents) override;
	virtual ShareableExtraInfos readExtraInfos(const std::string &contents) override;
	virtual ShareableFrame readFrame(const std::string &contents) override;
	virtual ShareableParams readParams(const std::string &contents) override;
	virtual ShareablePoint readPoint(const std::string &contents) override;
	virtual ShareablePosition readPosition(const std::string &contents) override;
	virtual std::string write(const ShareablePointsList &) override { return std::string(); }
	virtual std::string write(const ShareableExtraInfos &) override { return std::string(); }
	virtual std::string write(const ShareableFrame &) override { return std::string(); }
	virtual std::string write(const ShareableParams &) override { return std::string(); }
	virtual std::string write(const ShareablePoint &) override { return std::string(); }
	virtual std::string write(const ShareablePosition &) override { return std::string(); }

private:
	// LexerParser
	// generated in in LGCInputLexerIO_gen.cpp
	int nextToken(QStringRef value) override;
	void consumeRule(int ruleno) override;
};

#endif // LGCOUTPUTLOGLEXER_HPP
